Upstream information

CVE-2021-35937 at MITRE

Description

A race condition vulnerability was found in rpm. A local unprivileged user could use this flaw to bypass the checks that were introduced in response to CVE-2017-7500 and CVE-2017-7501, potentially gaining root privileges. The highest threat from this vulnerability is to data confidentiality and integrity as well as system availability.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 6.4 6.3
Vector CVSS:3.1/AV:L/AC:H/PR:H/UI:N/S:U/C:H/I:H/A:H CVSS:3.1/AV:L/AC:H/PR:H/UI:R/S:U/C:H/I:H/A:H
Attack Vector Local Local
Attack Complexity High High
Privileges Required High High
User Interaction None Required
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1157882 [RESOLVED / WONTFIX]

No SUSE Security Announcements cross referenced.


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 rpm Won't fix
SLES15-EC2-CHOST-HVM-BYOS rpm Won't fix
SLES15-SP1-CHOST-BYOS-Azure rpm Won't fix
SLES15-SP1-CHOST-BYOS-EC2 rpm Won't fix
SLES15-SP1-CHOST-BYOS-GCE rpm Won't fix
SUSE CaaS Platform 3.0 rpm Affected
SUSE CaaS Platform 4.0 rpm Won't fix
SUSE CaaS Platform 4.5 rpm Affected
SUSE Enterprise Storage 6 rpm Unsupported
SUSE Enterprise Storage 7 rpm Won't fix
SUSE Enterprise Storage 7.1 rpm Won't fix
SUSE Linux Enterprise Desktop 11 SP4 rpm Won't fix
SUSE Linux Enterprise Desktop 12 rpm Won't fix
SUSE Linux Enterprise Desktop 12 SP1 rpm Won't fix
SUSE Linux Enterprise Desktop 12 SP2 rpm Won't fix
SUSE Linux Enterprise Desktop 12 SP3 rpm Won't fix
SUSE Linux Enterprise Desktop 12 SP4 rpm Affected
SUSE Linux Enterprise Desktop 15 rpm Affected
SUSE Linux Enterprise Desktop 15 SP1 rpm Unsupported
SUSE Linux Enterprise Desktop 15 SP2 rpm Won't fix
SUSE Linux Enterprise Desktop 15 SP3 rpm Won't fix
SUSE Linux Enterprise Desktop 15 SP4 rpm Won't fix
SUSE Linux Enterprise High Performance Computing 12 SP4 rpm Affected
SUSE Linux Enterprise High Performance Computing 12 SP5 rpm Won't fix
SUSE Linux Enterprise High Performance Computing 15 rpm Affected
SUSE Linux Enterprise High Performance Computing 15 SP1 rpm Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS rpm Won't fix
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS rpm Won't fix
SUSE Linux Enterprise High Performance Computing 15 SP2 rpm Won't fix
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS rpm Won't fix
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS rpm Won't fix
SUSE Linux Enterprise High Performance Computing 15 SP3 rpm Won't fix
SUSE Linux Enterprise High Performance Computing 15 SP4 rpm Won't fix
SUSE Linux Enterprise High Performance Computing 15-ESPOS rpm Won't fix
SUSE Linux Enterprise High Performance Computing 15-LTSS rpm Won't fix
SUSE Linux Enterprise Micro 5.0 rpm Affected
SUSE Linux Enterprise Micro 5.1 rpm Won't fix
SUSE Linux Enterprise Micro 5.2 rpm Won't fix
SUSE Linux Enterprise Micro 5.3 rpm Won't fix
SUSE Linux Enterprise Module for Basesystem 15 rpm Affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 rpm Unsupported
SUSE Linux Enterprise Module for Basesystem 15 SP2 rpm Won't fix
SUSE Linux Enterprise Module for Basesystem 15 SP3 rpm Won't fix
SUSE Linux Enterprise Module for Basesystem 15 SP4 rpm Won't fix
SUSE Linux Enterprise Module for Development Tools 15 rpm Affected
SUSE Linux Enterprise Module for Development Tools 15 SP1 rpm Unsupported
SUSE Linux Enterprise Module for Development Tools 15 SP2 rpm Won't fix
SUSE Linux Enterprise Module for Development Tools 15 SP3 rpm Won't fix
SUSE Linux Enterprise Module for Development Tools 15 SP4 rpm Won't fix
SUSE Linux Enterprise Module for SUSE Manager Proxy 4.0 rpm Won't fix
SUSE Linux Enterprise Module for SUSE Manager Proxy 4.1 rpm Won't fix
SUSE Linux Enterprise Module for SUSE Manager Proxy 4.2 rpm Won't fix
SUSE Linux Enterprise Module for SUSE Manager Proxy 4.3 rpm Won't fix
SUSE Linux Enterprise Module for SUSE Manager Server 4.0 rpm Won't fix
SUSE Linux Enterprise Module for SUSE Manager Server 4.1 rpm Won't fix
SUSE Linux Enterprise Module for SUSE Manager Server 4.2 rpm Won't fix
SUSE Linux Enterprise Module for SUSE Manager Server 4.3 rpm Won't fix
SUSE Linux Enterprise Real Time 15 SP2 rpm Affected
SUSE Linux Enterprise Real Time 15 SP3 rpm Won't fix
SUSE Linux Enterprise Server 11 SP1 rpm Unsupported
SUSE Linux Enterprise Server 11 SP3 rpm Won't fix
SUSE Linux Enterprise Server 11 SP3-LTSS rpm Won't fix
SUSE Linux Enterprise Server 11 SP4 rpm Won't fix
SUSE Linux Enterprise Server 11 SP4 LTSS rpm Affected
SUSE Linux Enterprise Server 11 SP4-LTSS rpm Affected
SUSE Linux Enterprise Server 12 rpm Won't fix
SUSE Linux Enterprise Server 12 SP1 rpm Won't fix
SUSE Linux Enterprise Server 12 SP1-LTSS rpm Unsupported
SUSE Linux Enterprise Server 12 SP2 rpm Won't fix
SUSE Linux Enterprise Server 12 SP2-BCL rpm Won't fix
SUSE Linux Enterprise Server 12 SP2-ESPOS rpm Won't fix
SUSE Linux Enterprise Server 12 SP2-LTSS rpm Unsupported
SUSE Linux Enterprise Server 12 SP3 rpm Won't fix
SUSE Linux Enterprise Server 12 SP3-BCL rpm Won't fix
SUSE Linux Enterprise Server 12 SP3-ESPOS rpm Won't fix
SUSE Linux Enterprise Server 12 SP3-LTSS rpm Affected
SUSE Linux Enterprise Server 12 SP4 rpm Affected
SUSE Linux Enterprise Server 12 SP4-ESPOS rpm Won't fix
SUSE Linux Enterprise Server 12 SP4-LTSS rpm Won't fix
SUSE Linux Enterprise Server 12 SP5 rpm Won't fix
SUSE Linux Enterprise Server 12-LTSS rpm Won't fix
SUSE Linux Enterprise Server 15 rpm Affected
SUSE Linux Enterprise Server 15 SP1 rpm Unsupported
SUSE Linux Enterprise Server 15 SP1-BCL rpm Won't fix
SUSE Linux Enterprise Server 15 SP1-LTSS rpm Won't fix
SUSE Linux Enterprise Server 15 SP2 rpm Won't fix
SUSE Linux Enterprise Server 15 SP2-BCL rpm Won't fix
SUSE Linux Enterprise Server 15 SP2-LTSS rpm Won't fix
SUSE Linux Enterprise Server 15 SP3 rpm Won't fix
SUSE Linux Enterprise Server 15 SP4 rpm Won't fix
SUSE Linux Enterprise Server 15-LTSS rpm Won't fix
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 rpm Won't fix
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 rpm Won't fix
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 rpm Won't fix
SUSE Linux Enterprise Server for SAP Applications 11 SP4 rpm Won't fix
SUSE Linux Enterprise Server for SAP Applications 12 rpm Won't fix
SUSE Linux Enterprise Server for SAP Applications 12 SP1 rpm Won't fix
SUSE Linux Enterprise Server for SAP Applications 12 SP2 rpm Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP3 rpm Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 rpm Won't fix
SUSE Linux Enterprise Server for SAP Applications 12 SP5 rpm Won't fix
SUSE Linux Enterprise Server for SAP Applications 15 rpm Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 rpm Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP2 rpm Won't fix
SUSE Linux Enterprise Server for SAP Applications 15 SP3 rpm Won't fix
SUSE Linux Enterprise Server for SAP Applications 15 SP4 rpm Won't fix
SUSE Linux Enterprise Software Development Kit 11 SP4 rpm Won't fix
SUSE Linux Enterprise Software Development Kit 12 rpm Won't fix
SUSE Linux Enterprise Software Development Kit 12 SP1 rpm Won't fix
SUSE Linux Enterprise Software Development Kit 12 SP2 rpm Won't fix
SUSE Linux Enterprise Software Development Kit 12 SP3 rpm Won't fix
SUSE Linux Enterprise Software Development Kit 12 SP4 rpm Affected
SUSE Linux Enterprise Software Development Kit 12 SP5 rpm Won't fix
SUSE Manager Proxy 4.0 rpm Unsupported
SUSE Manager Proxy 4.1 rpm Won't fix
SUSE Manager Proxy 4.2 rpm Won't fix
SUSE Manager Proxy 4.3 rpm Won't fix
SUSE Manager Proxy Module 4.0 rpm Unsupported
SUSE Manager Proxy Module 4.2 rpm Won't fix
SUSE Manager Proxy Module 4.3 rpm Won't fix
SUSE Manager Retail Branch Server 4.0 rpm Unsupported
SUSE Manager Retail Branch Server 4.1 rpm Won't fix
SUSE Manager Retail Branch Server 4.2 rpm Won't fix
SUSE Manager Retail Branch Server 4.3 rpm Won't fix
SUSE Manager Server 4.0 rpm Unsupported
SUSE Manager Server 4.1 rpm Won't fix
SUSE Manager Server 4.2 rpm Won't fix
SUSE Manager Server 4.3 rpm Won't fix
SUSE Manager Server Module 4.0 rpm Unsupported
SUSE Manager Server Module 4.2 rpm Won't fix
SUSE Manager Server Module 4.3 rpm Won't fix
SUSE OpenStack Cloud 7 rpm Won't fix
SUSE OpenStack Cloud 8 rpm Won't fix
SUSE OpenStack Cloud 9 rpm Won't fix
SUSE OpenStack Cloud Crowbar 8 rpm Won't fix
SUSE OpenStack Cloud Crowbar 9 rpm Won't fix
ses/6/cephcsi/cephcsi
ses/6/rook/ceph
ses/7/ceph/ceph
ses/7/ceph/grafana
ses/7/ceph/prometheus-alertmanager
ses/7/ceph/prometheus-node-exporter
ses/7/ceph/prometheus-server
ses/7/cephcsi/cephcsi
ses/7/cephcsi/csi-attacher:v2.1.0
ses/7/cephcsi/csi-attacher:v3.3.0
ses/7/cephcsi/csi-livenessprobe:v1.1.0
ses/7/cephcsi/csi-node-driver-registrar:v1.2.0
ses/7/cephcsi/csi-node-driver-registrar:v2.3.0
ses/7/cephcsi/csi-provisioner:v1.6.0
ses/7/cephcsi/csi-provisioner:v3.0.0
ses/7/cephcsi/csi-resizer:v0.4.0
ses/7/cephcsi/csi-resizer:v1.3.0
ses/7/cephcsi/csi-snapshotter:v2.1.0
ses/7/cephcsi/csi-snapshotter:v2.1.1
ses/7/cephcsi/csi-snapshotter:v4.2.0
ses/7/prometheus-webhook-snmp
ses/7/rook/ceph
suse/sle-micro/5.0/toolbox
suse/sle15:15.0
suse/sle15:15.1
suse/sle15:15.2
suse/sles/15.2/virt-api:0.38.1
suse/sles/15.2/virt-controller:0.38.1
suse/sles/15.2/virt-handler:0.38.1
suse/sles/15.2/virt-launcher:0.38.1
suse/sles/15.2/virt-operator:0.38.1
suse/sles12sp3
suse/sles12sp4
suse/sles12sp5
rpmWon't fix


SUSE Timeline for this CVE

CVE page created: Wed Nov 27 14:00:52 2019
CVE page last modified: Thu Dec 1 00:12:14 2022